package com.ym.zxhcsdk.ads;

import android.content.Intent;
import android.media.MediaPlayer;
import android.os.CountDownTimer;

/**
 * 激励视频播放器
 */
public class RewardVideoMediaPlayer {

    private static volatile RewardVideoMediaPlayer mRewardVideoMediaPlayer = null;
    private static MediaPlayer mMediaPlayer = null;

    private RewardVideoMediaPlayer() {}

    /**
     * 类单例
     * @return
     */
    public static MediaPlayer getInstance() {
        synchronized (RewardVideoMediaPlayer.class) {
            if (null == mRewardVideoMediaPlayer) {
                mRewardVideoMediaPlayer = new RewardVideoMediaPlayer();
            }
        }
        return mRewardVideoMediaPlayer.getMediaPlayer();
    }

    public MediaPlayer getMediaPlayer() {
        if (null == mMediaPlayer) {
            mMediaPlayer = new MediaPlayer();
        }







        return mMediaPlayer;
    }


}
